﻿using System.Windows.Controls;
using System.Windows.Input;
using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Data;
using Syncfusion.Windows.Shared;

namespace WPF
{
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Chart_OnLoaded(object sender, RoutedEventArgs e)
        {
            var legend = new ChartLegend
            {
                Header = "Series",
                DockPosition = ChartDock.Top,

            };
           chart.Legend = legend;
        }
    }

    public class ViewModel
    {
        private readonly Random _rnd = new Random();
        public ChartSeriesCollection Series { get; set; }

        public ICommand BuildPieCommand
        {
            get { return new DelegateCommand<object>(DoSomething); }
        }

        private void DoSomething(object instance)
        {
            BuildPie();
            
        }

        public ViewModel()
        {
            Series = new ChartSeriesCollection();   
           
        }

        private void BuildPie()
        {
            Series.Clear();
            var n = _rnd.Next(1, 5);
            for (int i = 1; i <= n; i++)
            {
                var series = new PieSeries
                {
                    ItemsSource = BuilModel(),
                    XBindingPath = "Country",
                    YBindingPath = "Count",
                    Label = "series " + i
                };
                Series.Add(series);
            }
            
        }

        

        public List<Model> BuilModel()
        {
            var modelValues = new List<Model>
                    {
                        new Model {Country = "Others", Count = _rnd.Next(0, 50)},
                        new Model {Country = "Uruguay", Count = _rnd.Next(50, 100)},
                        new Model {Country = "Argentina", Count = _rnd.Next(100, 150)},
                        new Model {Country = "United States", Count = _rnd.Next(150, 200)},
                        new Model {Country = "Germany", Count = _rnd.Next(200, 250)},
                        new Model {Country = "Netherlands", Count = _rnd.Next(250, 300)} 
                    };
            return modelValues;
        } 
    }

    public class Model
    {
        public string Country { get; set; }
        public int Count { get; set; }
    }
}
